Module | Sequel::Metaprogramming
In: | lib/sequel/metaprogramming.rb

Contains methods that ease metaprogramming, used by some of Sequel‘s classes.

### Methods

meta_def

### Public Instance methods

meta_def(name, &block)

Add methods to the object‘s metaclass

[Source]

       # File lib/sequel/metaprogramming.rb, line 5
    5:     def meta_def(name, &block)
    6:       meta_eval{define_method(name, &block)}
    7:     end

[Validate]